= nng_stats_free(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_stats_free - free statistics snapshot

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

typedef nng_stat nng_stat;

void nng_stats_free(nng_stat *);
----

== DESCRIPTION

The `nng_stats_free()` function deallocates a statistics snapshot
previously collected with
xref:nng_stats_get.3.adoc[`nng_stats_get()`].
After calling this, all values associated with the snapshot are
invalidated.

IMPORTANT: Only the top of the collected statistics tree can be
freed using this function.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_stats_get.3.adoc[nng_stats_get(3)],
xref:nng_stat.5.adoc[nng_stat(5)],
xref:nng.7.adoc[nng(7)]
